## e-cal-component-text e-cal-component-text — An ECalComponentText structure |

## Functions

ECalComponentText * | e_cal_component_text_new ()
ECalComponentText * | e_cal_component_text_new_from_property ()
ECalComponentText * | e_cal_component_text_copy ()
void | e_cal_component_text_free ()
void | e_cal_component_text_set_from_property ()
void | e_cal_component_text_fill_property ()
const gchar * | e_cal_component_text_get_value ()
void | e_cal_component_text_set_value ()
const gchar * | e_cal_component_text_get_altrep ()
void | e_cal_component_text_set_altrep ()
const gchar * | e_cal_component_text_get_language ()
void | e_cal_component_text_set_language ()

## Types and Values

| ECalComponentText

## Object Hierarchy

        GBoxed
        ╰── ECalComponentText

## Includes

    #include <libecal/libecal.h>

## Description

Contains functions to work with the ECalComponentText structure.

## Functions

### e_cal_component_text_new ()

    ECalComponentText *
    e_cal_component_text_new (const gchar *value,
                              const gchar *altrep);

Creates a new ECalComponentText describing text properties. The returned structure should be freed with `e_cal_component_text_free()`, when no longer needed.

#### Parameters

value | description text. | [nullable]
altrep | alternate representation URI. | [nullable]

#### Returns

a newly allocated ECalComponentText.

[transfer full]

Since: 3.34

### e_cal_component_text_new_from_property ()

    ECalComponentText *
    e_cal_component_text_new_from_property
                                   (const ICalProperty *property);

Created a new ECalComponentText filled with values from the `property` . The `property` should hold a text value.

#### Parameters

property | an ICalProperty |

#### Returns

a newly allocated ECalComponentText.

[transfer full]

Since: 3.46

### e_cal_component_text_copy ()

    ECalComponentText *
    e_cal_component_text_copy (const ECalComponentText *text);

#### Parameters

text | an ECalComponentText to copy. | [not nullable]

#### Returns

a newly allocated ECalComponentText, copy of `text` . The returned structure should be freed with `e_cal_component_text_free()`, when no longer needed.

[transfer full]

Since: 3.34

### e_cal_component_text_free ()

    void
    e_cal_component_text_free (gpointer text);

Free the `text` , previously allocated by `e_cal_component_text_new()` or `e_cal_component_text_copy()`.

[skip]

#### Parameters

text | an ECalComponentText to free. | [type ECalComponentText][nullable]

Since: 3.34

### e_cal_component_text_set_from_property ()

    void
    e_cal_component_text_set_from_property
                                   (ECalComponentText *text,
                                    const ICalProperty *property);

Fill the `text` structure with the information from the `property` . The `property` should hold a text value.

#### Parameters

text | an ECalComponentText |
property | an ICalProperty |

Since: 3.46

### e_cal_component_text_fill_property ()

    void
    e_cal_component_text_fill_property (const ECalComponentText *text,
                                        ICalProperty *property);

Fills the `property` with the content of the `text` .

#### Parameters

text | an ECalComponentText |
property | an ICalProperty |

Since: 3.46

### e_cal_component_text_get_value ()

    const gchar *
    e_cal_component_text_get_value (const ECalComponentText *text);

#### Parameters

text | an ECalComponentText |

#### Returns

the description string of the `text`

Since: 3.34

### e_cal_component_text_set_value ()

    void
    e_cal_component_text_set_value (ECalComponentText *text,
                                    const gchar *value);

Set the `value` as the description string of the `text` .

#### Parameters

text | an ECalComponentText |
value | description string to set. | [nullable]

Since: 3.34

### e_cal_component_text_get_altrep ()

    const gchar *
    e_cal_component_text_get_altrep (const ECalComponentText *text);

#### Parameters

text | an ECalComponentText |

#### Returns

the alternate representation URI of the `text`

Since: 3.34

### e_cal_component_text_set_altrep ()

    void
    e_cal_component_text_set_altrep (ECalComponentText *text,
                                     const gchar *altrep);

Set the `altrep` as the alternate representation URI of the `text` .

#### Parameters

text | an ECalComponentText |
altrep | alternate representation URI to set. | [nullable]

Since: 3.34

### e_cal_component_text_get_language ()

    const gchar *
    e_cal_component_text_get_language (const ECalComponentText *text);

#### Parameters

text | an ECalComponentText |

#### Returns

the language of the `text`

Since: 3.46

### e_cal_component_text_set_language ()

    void
    e_cal_component_text_set_language (ECalComponentText *text,
                                       const gchar *language);

Set the `language` as the language of the `text` . The language tag is defined in RFC 5646. For example `en-US`, not `en_US`.

#### Parameters

text | an ECalComponentText |
language | language of the `text` . | [nullable]

Since: 3.46

## Types and Values

### ECalComponentText

    typedef struct _ECalComponentText ECalComponentText;

Contains description string and an alternate representation URI for text properties. Use the functions below to work with it.